#ifndef RZB_NETWORK_H
#define RZB_NETWORK_H

#include "rzb_global.h"

RZBNetworkConnection *ConnectMe(const char * ipaddr, const char * port);
int MakeListener(const char * port);
RZBNetworkConnection *MakeConnection(const int sock);
void NetworkConnectionDestroy(RZBNetworkConnection *net);
HRESULT sendWrap(RZBNetworkConnection *net, const void *buf, unsigned bufsize);
HRESULT recvWrap(RZBNetworkConnection *net, void *buf, unsigned bufsize);
void protocolFill(SNAKECHARMER *scpacket);
HRESULT protocolCheck(SNAKECHARMER *scpacket);
HRESULT sendFailure(RZBNetworkConnection *net, SNAKECHARMER *scpacket);
HRESULT acknowledge(RZBNetworkConnection *net, SNAKECHARMER *scpacket);
void NetworkConnectionGetStats(RZBNetworkConnection *net, unsigned long *bytes_in, unsigned long *bytes_out);

#endif /* RZB_NETWORK_H */

