#ifndef RZB_INTEL_DB_H
#define RZB_INTEL_DB_H

#include <openssl/evp.h>
#include "rzb_global.h"
#include "rzb_intel_global.h"

/* Functions */
HRESULT connectIntelDB(const char *host, const char *user, const char *password, unsigned port,
                       const char *db_name, unsigned flags);
HRESULT insertAttachment(unsigned mail_id, unsigned component_id, const char *name);
HRESULT insertMailUpdate(unsigned mail_id, const char *data, const char *data_type);
HRESULT insertNewMail(const NEW_MAIL_BLOBS *blobs, const NEW_MAIL *mail, unsigned *mail_id);
HRESULT insertWebTrackData(WEB_FINAL *web_entry, WEB_TRACK *web_tracker);
HRESULT insertDNSTrackData(DNS_ENTRY *dns_entry, DNS_TRACK *dns_tracker);

#endif /* RZB_INTEL_DB_H */

